RDKit: RDKit::FilterHierarchyMatcher Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::FilterHierarchyMatcher Class Reference

`#include <FilterMatchers.h>`

Inheritance diagram for RDKit::FilterHierarchyMatcher:

## Public Member Functions
| FilterHierarchyMatcher ()
| FilterHierarchyMatcher (const FilterMatcherBase &matcher)
std::string | getName () const override
| Return the name for this node (from the underlying FilterMatcherBase)
bool | isValid () const override
| returns true if this node has a valid matcher
void | setPattern (const FilterMatcherBase &matcher)
| Set a new FilterMatcherBase for this node.
boost::shared_ptr< FilterHierarchyMatcher > | addChild (const FilterHierarchyMatcher &hierarchy)
bool | getMatches (const ROMol &mol, std::vector< FilterMatch > &matches) const override
| returns the FilterMatches against the given molecule
bool | hasMatch (const ROMol &mol) const override
| Does this node match the molecule.
boost::shared_ptr< FilterMatcherBase > | copy () const override
| copys the FilterHierarchyMatcher into a FilterMatcherBase
Public Member Functions inherited from RDKit::FilterMatcherBase
| FilterMatcherBase (std::string name=DEFAULT_FILTERMATCHERBASE_NAME)
| FilterMatcherBase (const FilterMatcherBase &rhs)
virtual | ~FilterMatcherBase ()
virtual boost::shared_ptr< FilterMatcherBase > | Clone () const

## Detailed Description

Definition at line 468 of file FilterMatchers.h.

## Constructor & Destructor Documentation

## ◆ FilterHierarchyMatcher() [1/2]

RDKit::FilterHierarchyMatcher::FilterHierarchyMatcher | ( |  | ) |
| inline

Definition at line 475 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::FilterMatcherBase().

Referenced by addChild(), and copy().

## ◆ FilterHierarchyMatcher() [2/2]

RDKit::FilterHierarchyMatcher::FilterHierarchyMatcher | ( | const FilterMatcherBase & | matcher | ) |
| inline

Constructs a FilterHierarchyMatcher from a FilterMatchBase A FilterHierarchyMatcher is a tree hierarchy where to match a child node, one needs to match the parent first. For each branch, the lowest nodes are returned when getting the filter matches.

Definition at line 484 of file FilterMatchers.h.

References copy(), and RDKit::FilterMatcherBase::FilterMatcherBase().

## Member Function Documentation

## ◆ addChild()

boost::shared_ptr< FilterHierarchyMatcher > RDKit::FilterHierarchyMatcher::addChild | ( | const FilterHierarchyMatcher & | hierarchy | ) |
| inline

add a FilterHierarchy as a child. returns the FilterHierarchy pointer used in the tree (this is a shallow copy of the original)

Definition at line 514 of file FilterMatchers.h.

References FilterHierarchyMatcher(), and PRECONDITION.

## ◆ copy()

boost::shared_ptr< FilterMatcherBase > RDKit::FilterHierarchyMatcher::copy | ( |  | ) | const
| inlineoverridevirtual

copys the FilterHierarchyMatcher into a FilterMatcherBase

Implements RDKit::FilterMatcherBase.

Definition at line 542 of file FilterMatchers.h.

References FilterHierarchyMatcher().

Referenced by FilterHierarchyMatcher().

## ◆ getMatches()

bool RDKit::FilterHierarchyMatcher::getMatches | ( | const ROMol & | mol,
|  | std::vector< FilterMatch > & | matches ) const
| overridevirtual

returns the FilterMatches against the given molecule

Implements RDKit::FilterMatcherBase.

Referenced by hasMatch().

## ◆ getName()

std::string RDKit::FilterHierarchyMatcher::getName | ( |  | ) | const
| inlineoverridevirtual

Return the name for this node (from the underlying FilterMatcherBase)

Reimplemented from RDKit::FilterMatcherBase.

Definition at line 488 of file FilterMatchers.h.

Referenced by setPattern().

## ◆ hasMatch()

bool RDKit::FilterHierarchyMatcher::hasMatch | ( | const ROMol & | mol | ) | const
| inlineoverridevirtual

Does this node match the molecule.

Implements RDKit::FilterMatcherBase.

Definition at line 536 of file FilterMatchers.h.

References getMatches().

## ◆ isValid()

bool RDKit::FilterHierarchyMatcher::isValid | ( |  | ) | const
| inlineoverridevirtual

returns true if this node has a valid matcher

Implements RDKit::FilterMatcherBase.

Definition at line 496 of file FilterMatchers.h.

## ◆ setPattern()

void RDKit::FilterHierarchyMatcher::setPattern | ( | const FilterMatcherBase & | matcher | ) |
| inline

Set a new FilterMatcherBase for this node.

Definition at line 502 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::copy(), RDKit::FilterMatcherBase::FilterMatcherBase(), getName(), RDKit::FilterMatcherBase::isValid(), and PRECONDITION.

The documentation for this class was generated from the following file:

- FilterMatchers.h